Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.tm.usertx.server
Interface ClientUserTransactionServiceMBean

All Superinterfaces:
  org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Implementing Classes:
  ClientUserTransactionService

public interface ClientUserTransactionServiceMBean
extends org.jboss.system.ServiceMBean

MBean for ClientUserTransaction service.

Version:
  $Revision: 1.9 $
Author:
  Ole Husgaard, Scott.Stark@jboss.org

Field Summary

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`Object` | `invoke(Invocation invocation)` The detached invoker callback operation.
`void` | `setTxProxyName(javax.management.ObjectName proxyName)` Set the proxy factory service for the UserTransactionSessions

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### setTxProxyName

    public void setTxProxyName(javax.management.ObjectName proxyName)

  Set the proxy factory service for the UserTransactionSessions

  Parameters:
    `proxyName` - the proxy factory MBean name

### invoke

    public Object invoke(Invocation invocation)
                  throws Exception

  The detached invoker callback operation.

  Parameters:
    `invocation` -
  Returns:
    the invocation result
  Throws:
    `Exception` - thrown on invocation failure

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.